## org.omg.CORBA
Class AttributeDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AttributeDescriptionHelper

public class AttributeDescriptionHelper
extends java.lang.Object

Helper class for : AttributeDescription

Author:
  OpenORB Compiler

Constructor Summary
`AttributeDescriptionHelper()`

Method Summary
`static AttributeDescription` `extract(Any a)` Extract AttributeDescription from an any
`static java.lang.String` `id()` Return the AttributeDescription IDL ID
`static void` `insert(Any a, AttributeDescription t)` Insert AttributeDescription into an any
`static AttributeDescription` `read(InputStream istream)` Read AttributeDescription from a marshalled stream
`static TypeCode` `type()` Return the AttributeDescription TypeCode
`static void` `write(OutputStream ostream, AttributeDescription value)` Write AttributeDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDescriptionHelper

    public AttributeDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AttributeDescription t)

  Insert AttributeDescription into an any
  Parameters:
    `a` - an any
    `t` - AttributeDescription value

### extract

    public static AttributeDescription extract(Any a)

  Extract AttributeDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AttributeDescription value

### type

    public static TypeCode type()

  Return the AttributeDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AttributeDescription IDL ID
  Returns:
    an ID

### read

    public static AttributeDescription read(InputStream istream)

  Read AttributeDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AttributeDescription value

### write

    public static void write(OutputStream ostream,
                             AttributeDescription value)

  Write AttributeDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AttributeDescription value